JaxbAnyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbAnyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbAnyElement

    public class JaxbAnyElement

extends Object

Java class for any-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="any-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="meta-value" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-value-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="cascade" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id-type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="index" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="lazy" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="meta-type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `cascade`
`protected JaxbColumnElement` | `column`
`protected String` | `idType`
`protected String` | `index`
`protected Boolean` | `insert`
`protected Boolean` | `lazy`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `metaType`
`protected List<JaxbMetaValueElement>` | `metaValue`
`protected String` | `name`
`protected String` | `node`
`protected Boolean` | `optimisticLock`
`protected Boolean` | `update`

Constructor Summary
`JaxbAnyElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getCascade()` Gets the value of the cascade property.
`JaxbColumnElement` | `getColumn()` Gets the value of the column property.
`String` | `getIdType()` Gets the value of the idType property.
`String` | `getIndex()` Gets the value of the index property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getMetaType()` Gets the value of the metaType property.
`List<JaxbMetaValueElement>` | `getMetaValue()` Gets the value of the metaValue property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`boolean` | `isInsert()` Gets the value of the insert property.
`boolean` | `isLazy()` Gets the value of the lazy property.
`boolean` | `isOptimisticLock()` Gets the value of the optimisticLock property.
`boolean` | `isUpdate()` Gets the value of the update property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setCascade(String value)` Sets the value of the cascade property.
`void` | `setColumn(JaxbColumnElement value)` Sets the value of the column property.
`void` | `setIdType(String value)` Sets the value of the idType property.
`void` | `setIndex(String value)` Sets the value of the index property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setLazy(Boolean value)` Sets the value of the lazy property.
`void` | `setMetaType(String value)` Sets the value of the metaType property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` | `setUpdate(Boolean value)` Sets the value of the update property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### metaValue

    protected List<JaxbMetaValueElement> metaValue

### column

    protected JaxbColumnElement column

### access

    protected String access

### cascade

    protected String cascade

### idType

    protected String idType

### index

    protected String index

### insert

    protected Boolean insert

### lazy

    protected Boolean lazy

### metaType

    protected String metaType

### name

    protected String name

### node

    protected String node

### optimisticLock

    protected Boolean optimisticLock

### update

    protected Boolean update

Constructor Detail

### JaxbAnyElement

    public JaxbAnyElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getMetaValue

    public List<JaxbMetaValueElement> getMetaValue()

  Gets the value of the metaValue property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the metaValue property.

  For example, to add a new item, do as follows:

          getMetaValue().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaValueElement`

### getColumn

    public JaxbColumnElement getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumnElement`

### setColumn

    public void setColumn(JaxbColumnElement value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumnElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getCascade

    public String getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `String`

### setCascade

    public void setCascade(String value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `String`

### getIdType

    public String getIdType()

  Gets the value of the idType property.

  Returns:
    possible object is `String`

### setIdType

    public void setIdType(String value)

  Sets the value of the idType property.

  Parameters:
    `value` - allowed object is `String`

### getIndex

    public String getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `String`

### setIndex

    public void setIndex(String value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `String`

### isInsert

    public boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### isLazy

    public boolean isLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `Boolean`

### setLazy

    public void setLazy(Boolean value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `Boolean`

### getMetaType

    public String getMetaType()

  Gets the value of the metaType property.

  Returns:
    possible object is `String`

### setMetaType

    public void setMetaType(String value)

  Sets the value of the metaType property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUpdate

    public boolean isUpdate()

  Gets the value of the update property.

  Returns:
    possible object is `Boolean`

### setUpdate

    public void setUpdate(Boolean value)

  Sets the value of the update property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.